pcl::MomentInvariants Struct Reference
Module common

A point structure representing the three moment invariants. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | j1
float | j2
float | j3

## Friends

std::ostream & | operator<< (std::ostream &os, const MomentInvariants &p)

## Detailed Description

A point structure representing the three moment invariants.

Definition at line 1056 of file point_types.hpp.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const MomentInvariants & | p
| ) |  |

friend

## Member Data Documentation

float pcl::MomentInvariants::j1

Definition at line 1058 of file point_types.hpp.

float pcl::MomentInvariants::j2

Definition at line 1058 of file point_types.hpp.

float pcl::MomentInvariants::j3

Definition at line 1058 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp